package com.nisum.offertransactionservice;

import com.safeway.epe.exception.ExceptionResponseHandlerImpl;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cloud.client.discovery.EnableDiscoveryClient;
import org.springframework.cloud.openfeign.EnableFeignClients;
import org.springframework.context.annotation.Bean;

@SpringBootApplication
@EnableFeignClients
@EnableDiscoveryClient
public class OffertransactionserviceApplication {

	public static void main(String[] args) {
		SpringApplication.run(OffertransactionserviceApplication.class, args);
	}

	@Bean
	public ExceptionResponseHandlerImpl getExceptionService(){
		return new ExceptionResponseHandlerImpl();
	}

}
